# TWiOS5PhotoUploadExample #
A sample project that illustrates how to upload images using the Twitter Framework in iOS5.

This project provides two methods for uploading a photo to Twitter:

1. By using the Tweet Sheet (a.k.a. TWTweetComposeViewController)
2. By using the TWRequest and ACAccount method

The latest version of this project can be downloaded from [github](https://github.com/seancook/TWiOS5PhotoUploadExample).

###	Preconditions ###
*	You must have an account already configured on the iOS device.
*	You must have an image in your photo library

### Important ###
*	This application *will* tweet to production, so it is recommended that you use a test account.  If you have multiple accounts, it will use the first one returned from the account store for tweeting.  

## Marks ##
The Twitter logo and associated marks are trademarks of Twitter, Inc.  Use of the marks is governed by the [Guidelines for Use of the Twitter Trademark](https://support.twitter.com/articles/77641-guidelines-for-use-of-the-twitter-trademark).

## Contact ##
This project was written by Sean Cook [@theSeanCook](http://twitter.com/theseancook). 

## Memory Management Style ##
This example utilizes Automatic Reference Counting (ARC).

## License ##
TWiOS5PhotoUploadExample is available under the MIT License.  See LICENSE for more info.
